Update Attack Discovery schedule

Base URL
https://{kibana_url}
  • PUT /api/attack_discovery/schedules/{id}
Auth

Updates an existing Attack Discovery schedule with new configuration. All schedule properties can be modified including name, parameters, interval, and actions. The update operation replaces the entire schedule configuration with the provided values.

Path parameters

id string · format: nonempty · min length: 1 required

The unique identifier (UUID) of the Attack Discovery schedule to update. This ID is returned when creating a schedule and can be found in schedule listings.

Example: 12345678-1234-1234-1234-123456789012

Request body

Updated Attack Discovery schedule configuration. All fields are required as this replaces the entire schedule configuration.

actions union oneOf[] required

The Attack Discovery schedule actions

One of:
action_type_id string required

The action type used for sending notifications.

alerts_filter object
frequency object

The action frequency defines when the action runs (for example, only on schedule execution or at specific time intervals).

notify_when enum required

The condition for throttling the notification: onActionGroupChange, onActiveAlert, or onThrottleInterval

Values: onActiveAlert onThrottleInterval onActionGroupChange
summary boolean required

Action summary indicates whether we will send a summary notification about all the generate alerts or notification per individual alert

throttle string · pattern: ^[1-9]\d*[smhd]$ required

Defines how often schedule actions are taken. Time interval in seconds, minutes, hours, or days.

group string required

Groups actions by use cases. Use default for alert notifications.

id string required

The connector ID.

params object required

Object containing the allowed connector fields, which varies according to the connector type.

uuid string · format: nonempty · min length: 1

A string that does not contain only whitespace characters.

name string required

The name of the schedule

params object required

An Attack Discovery schedule params

alerts_index_pattern string required

The index pattern to get alerts from

api_config object required

LLM API configuration.

actionTypeId string required

Action type ID

connectorId string required

Connector ID

defaultSystemPromptId string

Default system prompt ID

model string

Model

provider enum

Provider

Values: OpenAI Azure OpenAI Other
name string required

The name of the connector

combined_filter object
end string
filters object[]

The filter array used to define the conditions for when alerts are selected as an Attack Discovery context. Defaults to an empty array.

query object

An query condition to filter alerts

language string required
query string | object required
size number required
start string
schedule object required
interval string required

The schedule interval

Responses

Successfully updated Attack Discovery schedule with the new configuration and metadata

application/json
actions union oneOf[] required

The Attack Discovery schedule actions

Same options as actions
created_at string · format: date-time required

The date the schedule was created

created_by string required

The name of the user that created the schedule

enabled boolean required

Indicates whether the schedule is enabled

id string required

UUID of Attack Discovery schedule

last_execution object

An Attack Discovery schedule execution information

date string · format: date-time required

Date of the execution

duration number

Duration of the execution

message string
status enum required

An Attack Discovery schedule execution status

Values: ok active error unknown warning
name string required

The name of the schedule

params object required

An Attack Discovery schedule params

Same fields as params
schedule object required
interval string required

The schedule interval

updated_at string · format: date-time required

The date the schedule was updated

updated_by string required

The name of the user that updated the schedule

Bad Request response.

application/json
error string

Error type

message string

Human-readable error message describing what went wrong

status_code number

HTTP status code

Base URL
https://{kibana_url}